Skip to main content
GET
Get requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date_filter
string

A start date filter for the events.

end_date_filter
string

An end date filter for the events.

requester_id
string<uuid>

Filter requests by their requester ID.

target_user_id
string<uuid>

Filter requests by their target user ID.

resource_id
string<uuid>

Filter requests by the resource ID that was requested.

group_id
string<uuid>

Filter requests by the group ID that was requested.

app_id
string<uuid>

Filter requests by the ID of the app that a requested resource or group belongs to. Returns an empty page if the app does not exist or has no requests visible to the caller.

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page. Default is 200.

Required range: x <= 1000
show_pending_only
boolean

Boolean toggle for if it should only show pending requests.

Response

200 - application/json

The list of requests.

Request List

Description

The RequestList object is used to represent a list of requests.

Usage Example

Returned from the GET Requests endpoint.

requests
object[]

The list of requests.

cursor
string

The cursor to use in the next request to get the next page of results.

Example:

"eyJjcmVhdGVkX2F0IjoiMjAyMS0wMS0wNlQyMDo0NzowMFoiLCJ2YWx1ZSI6ImFkbWluIn0="